Name:           pem
Version:        0.7.8
Release:        1%{?dist}
Summary:        GNU personal expenses manager

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://pjp.dgplug.org/tools/
Source0:        http://pjp.dgplug.org/tools/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       perl
Requires(post): info
Requires(preun): info


%description
GNU Pem is a personal expenses manager. Pem helps you to keep track
of personal income and expenses in an extremely elegant style.
On GNU/Linux like systems, Pem works by storing the details in
a CSV file, placed in the  ~/.pem directory under your $HOME
directory; On Windows, the same file is placed in pem directory,
under the USERPROFILE directory. Each such file is named after
the current month, and is automatically created by Pem when you
enter the first record  for the month. It is not advisable to
edit these files by hand.

%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir  || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING NEWS ChangeLog
%{_bindir}/pem
%{_mandir}/man1/pem.*
%{_infodir}/pem.*
%{_datadir}/pem/pem.txt


%changelog
* Tue Sep 15 2009 P J P <pj.pandit@yahoo.co.in> - 0.7.8-1
- Pem became an official GNU package, GNU Pem.

* Mon Jul 13 2009 P J P <pj.pandit@yahoo.co.in> - 0.7.7-1
- Fixed a minor bug and did few changes recommended by PBP.

* Wed May 27 2009 P J P <pj.pandit@yahoo.co.in> - 0.7.6-1
- pem now uses `-M <mm>' value while showing monthly report
  with option `-m'. And new option -N <mm> to see reports between
  two given months.

* Tue May 12 2009 Kushal Das <kushal@fedoraproject.org> - 0.7.5-1
- New pem release, mostly bugfix

* Mon May 11 2009 Kushal Das <kushal@fedoraproject.org> - 0.7.4-1
- New pem release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 29 2008 P J P <pj.pandit@yahoo.co.in> - 0.7.3-1
- Changed the ..share/info/dir menu entry of pem, in pem.texi.

* Mon Jul 21 2008 Kushal Das <kushal@fedoraproject.org> - 0.7.2-3
- Bumping the release

* Mon Jul 21 2008 Kushal Das <kushal@fedoraproject.org> - 0.7.2-2
- Fixing Info dir problem

* Wed Jul 2 2008 Kushal Das <kushal@fedoraproject.org> - 0.7.2-1
- New release of pem

* Sun May 4 2008 Kushal Das <kushal@fedoraproject.org> - 0.7.1-4
- Fixed the description

* Wed Apr 30 2008 Kushal Das <kushal@fedoraproject.org> - 0.7.1-3
- Changed the summery as suggested in #fedora-devel

* Wed Apr 30 2008 Kushal Das <kushal@fedoraproject.org> - 0.7.1-2
- Fixed all small errors as came in review

* Tue Apr 29 2008 Kushal Das <kushal@fedoraproject.org> - 0.7.1-1
- First spec
